Fast Despatch Logistics (FDL) offers domestic shipping services for shipments from the United Kingdom, as well as an international service from the UK to Guernsey.
This guide provides developers an overview of shipping services that Fast Despatch Logistics offers and the service codes and other details that you will use to create Fast Despatch Logistics shipments.
ShipEngine API allows you to connect your Fast Despatch Logistics accounts programmatically without logging in to the ShipEngine API dashboard. This is useful if you have wrapped a custom UI around the ShipEngine API toolset and want to add or disconnect existing carrier accounts without exposing your end users to the API dashboard.
These APIs can be used in parallel with the ShipEngine Partner APIs to programmatically create new ShipEngine users, and then connect existing Fast Despatch Logistics accounts all via the API without logging into a dashboard. Together these APIs empower you to completely white-label the ShipEngine experience for your end users.
Continue below for instructions on how to programatically connect Fast Despatch Logistics using the ShipEngine API.
For instructions on connecting Fast Despatch Logistics via the ShipEngine dashboard, go to our Fast Despatch Logistics help article.
| Property | Description | Type | Required |
|---|---|---|---|
shipper_uuid | Shipper UUID | string | required |
POST /v1/connections/carriers/fast_despatch_logistics
POST /v1/connections/carriers/fast_despatch_logistics HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"shipper_uuid": "123456789"
}Example Response
Your account will now appear in your carriers list with an assigned carrier_id that you will specify when creating Fast Despatch Logistics shipments.
{
"carrier-id": "se-1234567"
}NOTE:
See the Disconnect section in our Delete a Carrier page for the process of deleting or disconnecting a carrier from ShipEngine.
| Service | API Code | Details |
|---|---|---|
| Fast Despatch Logistics - 24 Hour | fast_despatch_logistics_24h | Domestic |
| Fast Despatch Logistics - 24 Hour - GB to GG | fast_despatch_logistics_24h_gb_to_gg | International to Guernsey |
Both weight and dimensions are required for Fast Despatch Logistics shipments.
Max weight: 25kg
Max length: 120cm
Max volume: 150cm
NOTE:
Carriers may update their service options at any time. To ensure you are always using valid services, be sure to use the List Carrier Services call.
| Name | API Code | Package Attributes |
|---|---|---|
| Package | fast_despatch_logistics_package | Domestic, International |
Return services are not supported for this carrier.
Adding shipment insurance is not supported for this carrier.
Advanced options are not available for this carrier.
To ensure you always have the most up-to-date information, use the List Carrier Advanced Options call.
- Fast Despatch Logistics services support tracking.
- Multi-package shipping is supported for both available services.
- Fast Despatch Logistics supports adding
adult_signatureas a confirmation option to shipments. - Fast Despatch Logistics supports adding label messages.
You are now ready to create shipments using Fast Despatch Logistics via ShipEngine!